Bug 1126074 - [AMQP 1.0] memory leak when connection is closed without closing links
Summary: [AMQP 1.0] memory leak when connection is closed without closing links
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-proton
Version: 3.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: 3.0
: ---
Assignee: Ted Ross
QA Contact: Eric Sammons
URL:
Whiteboard:
Depends On:
Blocks: 1010399
TreeView+ depends on / blocked
 
Reported: 2014-08-01 19:21 UTC by Gordon Sim
Modified: 2015-01-22 15:28 UTC (History)
6 users (show)

Fixed In Version: qpid-proton-0.7-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-22 15:28:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache JIRA PROTON-641 None None None Never
Apache JIRA QPID-5951 None None None Never

Description Gordon Sim 2014-08-01 19:21:12 UTC
Description of problem:

If a connection is closed without closing any sender and/or receiver links on it, then the proton related connection state is leaked.

Version-Release number of selected component (if applicable):

0.7

How reproducible:

100%

Steps to Reproduce:
1. run hello_world cpp example using AMQP 1.0 (e.g. pass in opts localhost amq.topic {protocol:amqp1.0} in a loop


Actual results:

broker memory keeps rising

Expected results:

broker memory does not keep rising

Additional info:

Comment 6 Leonid Zhaldybin 2014-09-08 09:04:04 UTC
Tested on RHEL6.5 (both i386 and x86_64). This issue has been fixed.

Packages used for testing:

python-qpid-0.22-18.el6
python-qpid-qmf-0.22-39.el6
qpid-cpp-0.22-48.el6
qpid-proton-c-0.7-4.el6
qpid-qmf-0.22-39.el6
qpid-tools-0.22-16.el6

-> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.